Skip to Content

POST /rubric/create

Create Rubric

Create rubrics using composable infra architecture.

Request Body (CreateRubricApiRequest)

FieldTypeRequiredDescription
rubricsCreateRubricItem[]YesList of rubrics to create
idempotency_keystringNoOperation key for ack — promotes or rejects a dormant create
softbooleanNoStage the create dormant (active=False) — propose; the ack ({idempotency_key, accept}) promotes/rejects it
acceptbooleanNoAccept (promote) or reject dormant state. Only meaningful with idempotency_key

Response (CreateRubricApiResponse)

FieldTypeRequiredDescription
resultsRubricResultItem[]YesList of operation results
rubricsListRubricApiRubric[]NoHydrated rubric rows for the rubrics just created (omitted on soft writes)
idempotency_keystringNoIdempotency key echoed back for client correlation
Last updated on